/************************************************************
 * MathHelper.h												*
 *  By Nicholas Crook										*
 *															*
 * Contains functions that aid with game math that occurs   *
 * in multiple places in the code							*
 ************************************************************/

#ifndef MATHHELPER_H
#define MATHHELPER_H

namespace MathHelper
{
	// Ensure a given value stays between two bounds
	inline static int Clamp(int value, int lower, int upper)
	{ return (value < lower) ? lower : (value > upper) ? upper : value; }
}

#endif